Regexp::IPv6(3)

NAME
Regexp::IPv6 - Regular expression for IPv6 addresses

SYNOPSIS
  use Regexp::IPv6 qw($IPv6_re);

  $address =~ /^$IPv6_re$/ and print "IPv6 address\n";

DESCRIPTION
This module exports the $IPv6_re regular expression that matches any valid IPv6 address as described in "RFC 2373 - 2.2 Text Representation of Addresses" but "::". Any string not compliant with such RFC will be rejected.

To match full strings use "/^$IPv6_re$/".

COPYRIGHT AND LICENSE
Copyright (C) 2009, 2010 by Salvador Fandiño (sfandino@yahoo.com)

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

Additionally, you are allowed to use the regexp generated by the module in any way you want, without any restriction. For instance, you are allowed to copy it verbating in your program.